
package ar.charlycimino.ejemplos;

import java.util.Scanner;

/**
 *
 * @author Charly Cimino
 * Aprendé más Java en mi canal: https://www.youtube.com/c/CharlyCimino
 * Encontrá más código en mi repo de GitHub: https://github.com/CharlyCimino
 */
public class EjercicioIntegrador05 {

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        int edad;
        double sueldo, aporte, porcentaje;
        
        System.out.print("Ingresá tu edad: ");
        edad = Integer.parseInt(input.nextLine());
        
        System.out.print("Ingresá tu sueldo anual: ");
        sueldo = Double.parseDouble(input.nextLine());
        
        if (edad > 0 && sueldo > 0) {
            if (sueldo < 10000) {
                porcentaje = 0.5;
            } else if (sueldo < 20000) {
                porcentaje = 1;          
            } else if (sueldo < 30000) {
                porcentaje = 2;          
            } else {
                porcentaje = 2.5;
            }
            
            aporte = sueldo * (porcentaje / 100);
            
            if (edad <= 30) {
                aporte = aporte + aporte * (20.0 / 100);
            }
            
            System.out.println("El aporte es de " + aporte);
            
        } else {
            System.out.println("Datos erróneos...");
        }
    }

}
